/***************************************************************************
 *                          Zanoza Modeler v2.x                            *
 *      This is unpublished propietary source code of Zanoza Software.     *
 *      The copyright notice does not evidence any actual or intended      *
 *                    publication of such source code.                     *
 *                                                                         *
 *                Copyright (c) 2002-2008 Zanoza Software.                 *
 *                                                                         *
 *                        All rights reserved.                             *
 ***************************************************************************
 *--------------------------------------------------------------------------
 * @author:   Oleg Melashenko
 *--------------------------------------------------------------------------
 * @purpose:  Declaration of the class IStatusBar
 *--------------------------------------------------------------------------
 * @created: Monday, April 04, 2005 13:51:33
 */

#if !defined(IStatusBar_h_included)
#define IStatusBar_h_included
//forward declaration of this class might require
namespace core
{ namespace ui
  { class IStatusBar; }; };
#include <zmodeler.h>
#include <core/ui/uiTypes.h>
#include <core/ui/IControlBar.h>


namespace core
{
  namespace ui
  {
    
    class IStatusBar : public core::ui::IControlBar
    {
    public:
      virtual ZRESULT create(CWnd* pParent)=0;
      virtual long getPanesCount(void)=0;
      virtual ZRESULT getPaneWidth(long nPane, long& nWidth)=0;
      virtual ZRESULT setPaneWidth(long nPane, long nWidth)=0;
      virtual ZRESULT addPane(long nIndex, DWORD dwID, DWORD dwStyle, long nWidth)=0;
      virtual ZRESULT deletePane(DWORD dwID)=0;
      virtual ZRESULT addPaneControl(HWND hwnd, DWORD dwID, bool bAutoDelete=true)=0;
      virtual ZRESULT disableControl(long nIndex, bool bDisable=true)=0;
      virtual ZRESULT getPaneInfo(long nIndex, DWORD& dwID, DWORD& dwStyle, long& nWidth, HWND* phWnd=NULL)=0;
      virtual ZRESULT setPaneInfo(long nIndex, DWORD dwID, DWORD dwStyle, long nWidth)=0;
      virtual ZRESULT getPaneStyle(long nIndex, DWORD& dwStyle)=0;
      virtual ZRESULT setPaneStyle(long nIndex, DWORD dwStyle)=0;
      virtual ZRESULT setPaneText(long nIndex, LPCTSTR pszText)=0;
      virtual ZRESULT getPaneText(long nIndex, ZString& str)=0;
    
    };//class IStatusBar
  };//ui
};//core

#endif
